• Yaourt error when installing android-studio


    Hi,

    I don’t know why when installing Android Studio I get the following error, it’s seems its just me:

    ==> ERROR: There was an error in package().
    ==> ERROR: Makepkg could not build android-studio.
    

    In addition, I was checking and I’ve tried yaourt -Syua with similar errors for all the packages needing an update:

    ==> Downloading PKGBUILD for android-sdk from AUR...
    ==> ERROR: android-sdk not found in AUR
    ==> ERROR: cannot update
    
    

    This is the first time I see this kind of error, any help?

    Thanks!

  • Try it again with Yay, this could be a Yaourt problem, with yay I can find the package.

  • @fnc
    Seems that this AUR package is not working.
    You could got to page https://aur.archlinux.org/packages/android-studio/ and inform the dev about the problem. Seems (at least) that file android-studio.desktop is missing.

  • Installing AS (as well as other IntelliJ stuff) from AUR makes no sense. Firstly: you’ll be out of date most of the time. Secondly: to apply updates downloaded by the Studio itself you’ll need to launch AS as root. If you happen to open some of your projects still running AS as root, you may be unable to open it as a regular user.

    Just download AS from the website and unpack somewhere in your home folder. Start from bin/studio.sh, and ‘Create Desktop Entry’ from the Configure menu.

  • And if only adb and fastboot tools are needed, then they are in package android-tools.

  • @piotr said in Yaourt error when installing android-studio:

    Installing AS (as well as other IntelliJ stuff) from AUR makes no sense. Firstly: you’ll be out of date most of the time. Secondly: to apply updates downloaded by the Studio itself you’ll need to launch AS as root. If you happen to open some of your projects still running AS as root, you may be unable to open it as a regular user.

    Just download AS from the website and unpack somewhere in your home folder. Start from bin/studio.sh, and ‘Create Desktop Entry’ from the Configure menu.

    You are right, I’ll begin doing it this way. Running updates as root really bothers me.

    @joekamprad said in Yaourt error when installing android-studio:

    yaourt should not be used anymore:

    https://github.com/archlinuxfr/yaourt/issues/382#issuecomment-437461631

    Could you propose me an alternative?

  • @fnc
    Yay is a very good alternative for Yaourt, it uses the same working method.

  • @fnc
    Pamac is able to manage AUR packages, you just need to enable AUR support for it. AUR support is disabled for it by default.

  • @manuel said in Yaourt error when installing android-studio:

    @fnc
    Pamac is able to manage AUR packages, you just need to enable AUR support for it. AUR support is disabled for it by default.

    I’m gonna try doing it this way first. If it doesn’t convince me, I’ll try yay.
    Thanks!

error324 installing122 yaourt31 android-studio1 Posts 11Views 197
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.